## imbalanced-learn 0.3.3

=== Makefile ===
.PHONY: all clean test

clean:
	find . -name "*.so" -o -name "*.pyc" -o -name "*.md5" -o -name "*.pyd" -o -name "*~" | xargs rm -f
	find . -name "*.pyx" -exec ./tools/rm_pyx_c_file.sh {} \;
	rm -rf coverage
	rm -rf dist
	rm -rf build
	rm -rf doc/_build
	rm -rf doc/auto_examples
	rm -rf doc/generated
	rm -rf doc/modules
	rm -rf examples/.ipynb_checkpoints

test-code:
	py.test imblearn

test-doc:
	py.test doc/*.rst

test-coverage:
	rm -rf coverage .coverage
	py.test --cov=imblearn imblearn

test: test-coverage test-doc

html:
	export SPHINXOPTS=-W; make -C doc html

conda:
	conda-build conda-recipe

code-analysis:
	flake8 imblearn | grep -v __init__
	pylint -E imblearn/ -d E1103,E0611,E1101

=== requirements.txt ===
scipy>=0.13.3
numpy>=1.8.2
scikit-learn>=0.19.0

=== debian/changelog ===
imbalanced-learn (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #893055)
  * d/patches: Fix build to build only for Python3
  * d/patches: Fix float string representation in tests

 -- Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>  Fri, 13 Jul 2018 15:45:18 +0300

=== debian/control ===
Source: imbalanced-learn
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-setuptools,
               python3-doc,
               python3-coverage,
               python3-numpy (>= 1.8.2),
               python3-scipy (>= 0.13.3),
               python3-sklearn (>= 0.19.0),
               python3-pytest,
               python3-nose,
               python3-matplotlib (>= 2.0.0),
               python3-pytest-doctestplus,
Standards-Version: 4.1.5
Homepage: https://github.com/scikit-learn-contrib/imbalanced-learn
Vcs-Git: https://salsa.debian.org/neurodebian-team/imbalanced-learn.git
Vcs-Browser: https://salsa.debian.org/neurodebian-team/imbalanced-learn

Package: python3-imblearn
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy (>= 1.8.2),
         python3-scipy (>= 0.13.3),
         python3-sklearn (>= 0.19.0),
Description: library providing resampling techniques
 imbalanced-learn is a Python package offering a number of re-sampling
 techniques commonly used in datasets showing strong between-class imbalance.
 .
 It is compatible with scikit-learn and is part of scikit-learn-contrib
 projects.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=imbalanced-learn

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/scikit-learn-contrib/imbalanced-learn/tags .*/v?(\d\S+)\.tar\.gz

## imbalanced-learn 0.6.2

=== debian/changelog ===
imbalanced-learn (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Refresh patches
  * Drop patch FIX-modify-regex-... (included upstream)
  * Add Rules-Requires-Root: no
  * Add myself to uploaders
  * Switch from d/compat -> 12 to debhelper-compat (= 12)
  * Bump Standards-Version to 4.5.0
  * Fix d/watch

 -- Christian Kastner <ckk@debian.org>  Mon, 20 Jan 2020 21:27:00 +0100

imbalanced-learn (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3 (Closes: #912456)
  * d/control: Bump Depends and Build-Depends version of sklearn to >= 0.20
  * d/control: Bump standards version to 4.3.0; no changes needed
  * Bump debhelper and compat version to 12; no changes needed
  * d/rules: Disable testsuite on i386 architecture
    + See https://github.com/scikit-learn-contrib/imbalanced-learn/issues/527
  * d/patches: Drop unnecessary debian patch for python3 builds
  * d/patches: Update doctest string represention of floats patch
  * autopkgtest: Fix hashbang on import test

 -- Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>  Mon, 18 Feb 2019 13:01:03 +0200

=== debian/control ===
Source: imbalanced-learn
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
           Christian Kastner <ckk@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-setuptools,
               python3-doc,
               python3-coverage,
               python3-numpy (>= 1.8.2),
               python3-scipy (>= 0.13.3),
               python3-sklearn (>= 0.20),
               python3-pytest,
               python3-nose,
               python3-matplotlib (>= 2.0.0),
               python3-pytest-doctestplus,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/scikit-learn-contrib/imbalanced-learn
Vcs-Git: https://salsa.debian.org/neurodebian-team/imbalanced-learn.git
Vcs-Browser: https://salsa.debian.org/neurodebian-team/imbalanced-learn

Package: python3-imblearn
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy (>= 1.8.2),
         python3-scipy (>= 0.13.3),
         python3-sklearn (>= 0.20),
Description: library providing resampling techniques
 imbalanced-learn is a Python package offering a number of re-sampling
 techniques commonly used in datasets showing strong between-class imbalance.
 .
 It is compatible with scikit-learn and is part of scikit-learn-contrib
 projects.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=imbalanced-learn

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), i386)
	DEB_BUILD_OPTIONS += nocheck
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

## imbalanced-learn 0.7.0

=== requirements.txt ===
numpy>=1.11
scipy>=0.17
scikit-learn>=0.22
joblib>=0.11

=== debian/changelog ===
imbalanced-learn (0.7.0-6) unstable; urgency=medium

  * autopkgtest: Address stderr output. (Closes: #974088, #976417)

 -- Christian Kastner <ckk@debian.org>  Sat, 05 Dec 2020 14:57:22 +0100

imbalanced-learn (0.7.0-5) unstable; urgency=medium

  * autopkgtest: Mark test "import" as superficial
  * autopkgtest: Skip failing test on armhf. Triggered by a known issue with
    scikit-learn on armhf. (Closes: #971540)

 -- Christian Kastner <ckk@debian.org>  Sun, 04 Oct 2020 22:48:37 +0200

imbalanced-learn (0.7.0-4) unstable; urgency=medium

  * Add Switch-to-new-scikit-learn-parse_version.patch
    Fixes autopkgtest failure
  * Bump python3-sklearn dependency to 0.23.2

 -- Christian Kastner <ckk@debian.org>  Mon, 17 Aug 2020 15:49:34 +0200

imbalanced-learn (0.7.0-3) unstable; urgency=medium

  * Add autopkgtest for full upstream test suite
  * Use variables from /usr/share/dpkg/architecture.mk
  * Skip one flaky test for now, resolves a FTBFS

 -- Christian Kastner <ckk@debian.org>  Sun, 16 Aug 2020 20:01:16 +0200

imbalanced-learn (0.7.0-2) unstable; urgency=medium

  * Previous version accidentally contained binaries; re-upload source-only

 -- Christian Kastner <ckk@debian.org>  Sun, 16 Aug 2020 10:50:57 +0200

imbalanced-learn (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump python3-sklearn Build-Depends to 0.23

 -- Christian Kastner <ckk@debian.org>  Sat, 15 Aug 2020 10:37:12 +0200

=== debian/control ===
Source: imbalanced-learn
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
           Christian Kastner <ckk@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-coverage,
               python3-doc,
               python3-matplotlib (>= 2.0.0),
               python3-nose,
               python3-numpy (>= 1.8.2),
               python3-pytest,
               python3-pytest-doctestplus,
               python3-scipy (>= 0.13.3),
               python3-setuptools,
               python3-sklearn (>= 0.23.2),
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/scikit-learn-contrib/imbalanced-learn
Vcs-Git: https://salsa.debian.org/neurodebian-team/imbalanced-learn.git
Vcs-Browser: https://salsa.debian.org/neurodebian-team/imbalanced-learn

Package: python3-imblearn
Architecture: all
Depends: python3-numpy (>= 1.8.2),
         python3-scipy (>= 0.13.3),
         python3-sklearn (>= 0.20),
         ${misc:Depends},
         ${python3:Depends},
Description: library providing resampling techniques
 imbalanced-learn is a Python package offering a number of re-sampling
 techniques commonly used in datasets showing strong between-class imbalance.
 .
 It is compatible with scikit-learn and is part of scikit-learn-contrib
 projects.

=== debian/rules ===
#!/usr/bin/make -f

# For DEB_HOST_ARCH
include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=imbalanced-learn

# TBD: Why is this here?
ifeq ($(DEB_HOST_ARCH), i386)
	DEB_BUILD_OPTIONS += nocheck
endif

EXCLUDE_TESTS = not test_rusboost

# Bus errors triggered by scikit-learn
ifeq ($(DEB_HOST_ARCH), armhf)
	EXCLUDE_TESTS += and not test_common
endif

# This test is flaky, skip it for now
export PYBUILD_TEST_ARGS=-k "$(EXCLUDE_TESTS)"

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-imblearn,
         python3-joblib,
         python3-numpy,
         python3-pytest,
         python3-pytest-doctestplus,
         python3-scipy,
         python3-sklearn (>= 0.23.2),

Tests: import
Restrictions: superficial

## imbalanced-learn 0.9.1

=== debian/changelog ===
imbalanced-learn (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * d/{,t/}control: declare versioned dependency on pytest 7.
    The autopkgtest suite reveals the new upstream version of imbalanced-learn
    cannot migrate before pytest 7 because the new smoke test crashes with the
    old pytest 6.

 -- Étienne Mollier <emollier@debian.org>  Mon, 04 Jul 2022 23:01:38 +0200

imbalanced-learn (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version  (Closes: #1011858)
  * Standards-Version: 4.6.1 (routine-update)
  * d/t/python3: set a dummy home directory for running tests.

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Jul 2022 19:04:07 +0200

imbalanced-learn (0.9.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Move package to Debian Med team
  * cme fix dpkg-control
  * Add salsa-ci file (routine-update)

  [ Christian Kastner ]
  * New upstream version 0.9.0. (Closes: #999515)
  * Drop obsolete patches
  * Update Build-Depends and Depends

 -- Christian Kastner <ckk@debian.org>  Sun, 06 Feb 2022 13:00:27 +0100

=== debian/control ===
Source: imbalanced-learn
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
           Christian Kastner <ckk@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-coverage,
               python3-doc,
               python3-joblib (>= 0.11),
               python3-matplotlib,
               python3-nose,
               python3-numpy,
               python3-pytest (>= 7.1.2),
               python3-pytest-doctestplus,
               python3-scipy (>= 1.1.0),
               python3-setuptools,
               python3-sklearn (>= 1.0.1),
               python3-threadpoolctl (>= 2.0.0),
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/imbalanced-learn
Vcs-Git: https://salsa.debian.org/med-team/imbalanced-learn.git
Homepage: https://github.com/scikit-learn-contrib/imbalanced-learn
Rules-Requires-Root: no

Package: python3-imblearn
Architecture: all
Depends: python3-joblib (>= 0.11),
         python3-numpy,
         python3-scipy (>= 1.1.0),
         python3-sklearn (>= 1.0.1),
         python3-threadpoolctl (>= 2.0.0),
         ${misc:Depends},
         ${python3:Depends}
Description: library providing resampling techniques
 imbalanced-learn is a Python package offering a number of re-sampling
 techniques commonly used in datasets showing strong between-class imbalance.
 .
 It is compatible with scikit-learn and is part of scikit-learn-contrib
 projects.

## imbalanced-learn 0.10.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf generated/*
	-rm -rf modules/generated/*

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	touch $(BUILDDIR)/html/.nojekyll
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/imbalanced-learn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/imbalanced-learn.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/imbalanced-learn"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/imbalanced-learn"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
imbalanced-learn (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Source is Section: science, binary package Section: python

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 14:50:02 +0100

=== debian/control ===
Source: imbalanced-learn
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
           Christian Kastner <ckk@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-coverage,
               python3-doc,
               python3-joblib,
               python3-matplotlib,
               python3-nose,
               python3-numpy,
               python3-pytest (>= 7.1.2),
               python3-pytest-doctestplus,
               python3-scipy,
               python3-setuptools,
               python3-sklearn (>= 1.0.1),
               python3-threadpoolctl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/imbalanced-learn
Vcs-Git: https://salsa.debian.org/med-team/imbalanced-learn.git
Homepage: https://github.com/scikit-learn-contrib/imbalanced-learn
Rules-Requires-Root: no

Package: python3-imblearn
Architecture: all
Section: python
Depends: python3-joblib,
         python3-numpy,
         python3-scipy,
         python3-sklearn (>= 1.0.1),
         python3-threadpoolctl,
         ${misc:Depends},
         ${python3:Depends}
Description: library providing resampling techniques
 imbalanced-learn is a Python package offering a number of re-sampling
 techniques commonly used in datasets showing strong between-class imbalance.
 .
 It is compatible with scikit-learn and is part of scikit-learn-contrib
 projects.

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
          python3-imblearn,
          python3-joblib,
          python3-numpy,
-         python3-pytest,
+         python3-pytest (>= 7.1.2),
          python3-pytest-doctestplus,
          python3-scipy,
          python3-sklearn (>= 0.23.2),

## imbalanced-learn 0.12.0

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,14 @@
 	rm -rf examples/.ipynb_checkpoints
 
 test-code:
-	py.test imblearn
+	pytest imblearn
 
 test-doc:
-	py.test doc/*.rst
+	pytest doc/*.rst
 
 test-coverage:
 	rm -rf coverage .coverage
-	py.test --cov=imblearn imblearn
+	pytest --cov=imblearn imblearn
 
 test: test-coverage test-doc

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -v
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
imbalanced-learn (0.12.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: bump binimum sklearn version to match the changes to the
    tests.
  * d/tests/control: trim out redundant dependencies.
  * forward distutils patch upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 27 Feb 2024 15:49:01 +0100

imbalanced-learn (0.12.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

  [ Michael R. Crusoe ]
  * Add patch to adapt error messages. Closes: #1064223
  * d/tests/python: run for all supported Python versions.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Feb 2024 12:34:42 +0100

imbalanced-learn (0.10.0-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to get rid of distutils for tests (Closes: #1056411)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 10 Dec 2023 11:36:47 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-coverage,
                python3-doc,
@@ -13,11 +13,12 @@
                python3-matplotlib,
                python3-nose,
                python3-numpy,
+               python3-packaging,
                python3-pytest (>= 7.1.2),
                python3-pytest-doctestplus,
                python3-scipy,
                python3-setuptools,
-               python3-sklearn (>= 1.0.1),
+               python3-sklearn (>= 1.4.1),
                python3-threadpoolctl
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/imbalanced-learn
@@ -31,7 +32,7 @@
 Depends: python3-joblib,
          python3-numpy,
          python3-scipy,
-         python3-sklearn (>= 1.0.1),
+         python3-sklearn (>= 1.4.1),
          python3-threadpoolctl,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 export PYBUILD_TEST_ARGS=-k "$(EXCLUDE_TESTS)"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-imblearn,
         python3-pytest (>= 7.1.2),
         python3-pytest-doctestplus,
         python3-packaging

Tests: import
Restrictions: superficial

## imbalanced-learn 0.12.2

=== debian/changelog ===
imbalanced-learn (0.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove python3-nose dependency
  * Remove old patches

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 13:31:27 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                python3-doc,
                python3-joblib,
                python3-matplotlib,
-               python3-nose,
                python3-numpy,
                python3-packaging,
                python3-pytest (>= 7.1.2),
@@ -20,7 +19,7 @@
                python3-setuptools,
                python3-sklearn (>= 1.4.1),
                python3-threadpoolctl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/imbalanced-learn
 Vcs-Git: https://salsa.debian.org/med-team/imbalanced-learn.git
 Homepage: https://github.com/scikit-learn-contrib/imbalanced-learn

## imbalanced-learn 0.12.4

=== debian/changelog ===
imbalanced-learn (0.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1079676
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 17 Oct 2024 14:09:14 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-setuptools,
                python3-sklearn (>= 1.4.1),
                python3-threadpoolctl
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/imbalanced-learn
 Vcs-Git: https://salsa.debian.org/med-team/imbalanced-learn.git
 Homepage: https://github.com/scikit-learn-contrib/imbalanced-learn

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/imbalanced-learn-$1\.tar\.gz/ \
  https://github.com/scikit-learn-contrib/imbalanced-learn/tags .*/v?(\d\S+)\.tar\.gz
